Rubies are now worthless. Bad for new players.
Closed, ResolvedPublic

Description

What is happening:
Items that new players rely on to be able to afford armor have been savagely cut in value by the 20% buyback rate.
First, 20% is both unrealistic and very vicious. I could perhaps understand 50%.
Second, and the main reason for this complaint, is that new players rely on gathering mushrooms from the evershade, and rubies from the mines to be able to afford even the most basic armor.
Rubies now sell for 1 bit, and mushrooms are literally worthless. The same applies to Lantern crystals and wooden swords. For advanced players they are simply trash that clutter up their inventory. They are not even worth the effort of selling. Now they are just an inconvenience we could do without.

What should be happening:
I suggest raising the values of mushrooms to 5 bits, and rubies to 25 bits, so new players can at least get their 1 bit and 5 bits respectively when selling them.

As for the lantern crystals, now that the event is over, stop dropping them. The same applies to twigs and branches. The wooden swords also need to go, or at least be raised to 25 bits so they are more than a monumental pest. If that doesn't happen, replace them with wooden spoons, so there is at least an element of humor to the otherwise worthless drops.

Rattletrap reassigned this task from justin to Cyanspark.Apr 3 2018, 1:44 PM
Rattletrap added a subscriber: justin.

Have to agree that some items should only drop again if the event is around, they don't really serve a purpose otherwise (maybe stay in another week for those that got the quests but never finished yet). As for the rubies, admittedly that probably shouldn't have been affected since you can't buy the rubies and don't have a reason to. Used to be a good item to get for selling when common mobs new players start on will only give out 2-4 bits at a time with a chance of rubies. Since their sell value is lowered though, this means the drop doesn't really add much of a bonus. Of course this may have been intentional, as at the same time, mushrooms and rubies could be picked up and harvest in very fast in quick amounts, way faster than when newbies first start fighting mobs.

Its pretty easy to gain a 20 stack in the mines in under a minute which used to be 140 bits per stack. I suppose the problem with no easy money method is the bronze armor is once again, entirely pointless.

Rattletrap lowered the priority of this task from Needs Triage to Normal.Jul 18 2018, 5:58 PM

Closing this up as item values have been adjusted since this was filed and item values and systems will likely undergo further adjustment.

Rattletrap closed this task as Resolved.Sep 8 2018, 9:08 AM

Closing this again per above note. Issue has been dealt with as item values and systems have been changed. If there are further issues, open a new report.